<!DOCTYPE html>
<html>
    <head>
        <script src="https://aframe.io/releases/0.9.2/aframe.min.js"></script>
        <script src="https://cdn.rawgit.com/jeromeetienne/AR.js/1.7.2/aframe/build/aframe-ar.js"></script>
        <script src="https://unpkg.com/aframe-event-set-component@4.2.1/dist/aframe-event-set-component.min.js"></script>
   
    </head>
    <body>
        <script defer src="js/ar-frame.js"></script>
        <a-scene
            cursor="rayOrigin: mouse"
            style="
                margin: 0;
                padding: 0;
                width: 100%;
                height: 100%;
                position: absolute;
            " 
            id="scene" 
            embedded 
            arjs="sourceType: webcam; debugUIEnabled:false;" 
            vr-mode-ui="enabled: false">

            <a-assets>
                <img id="grid" src="images/Certificado.jpeg" />
                <img id="play" src="images/youtube.png"></img>
                <img id="transp" src="images/transp.png"></img>
            </a-assets>

            <a-plane 
                position="0 0 0.5" 
                rotation="-90 0 0"
                scale="4.6 3.3 3.5"
                material="src: #grid;">
            </a-plane>

 
            <a-box
                src="images/BOSQUE.png"
                height="0.32"
                position="-2.3 0.3 -0.9"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/TILBURG_UNIVERSITY.jpg"
                height="0.32"
                position="-2.3 0.3 -0.3"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>

            <a-box
                src="images/PONTIFICIA_CALI.jpg"
                height="0.32"
                position="-2.3 0.3 0.3"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/XRCOL.jpg"
                height="0.32"
                position="-2.3 0.3 0.9"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/SADILAR.jpg"
                height="0.32"
                position="-2.3 0.3 1.5"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box> 



            <a-text 
                id="name" clock
                value="Alexandra Sierra" 
                font="fonts/Goog-msdf/Goog-msdf.json"
                font-image="fonts/Goog-msdf/Goog.png"
                negate="false"                
                color="#FFFFFF" 
                position="-0.9 0.3 0.7"  
                rotation="-45 0 0"
                scale="0.8 1 1"
                align="center" 
                width="6">
            </a-text>

            <a-marker-camera 
                type="pattern" 
                url="/data/xrcol.patt" 
                id="appleM" 
                emitevents="true" 
                button>



                <a-box
                    position="-0.8 0 2.4"
                    color="#FFF"
                    height="0.1"
                    width="0.7"
                    depth="0.4"
                    opacity="0.2"
                    onclick="goToCoffe()"
                    event-set__mouseenter="color: red"
                    event-set__mouseleave="color: white"
                    event-set__mousedown="color: green"
                    event-set__mouseup="color: red"
                    animation="property: rotation; from: 0 0 0; to: 0 360 0; dur: 1000; startEvents: click"
                    >
                <a-image
                    src="#play"
                    position="0 0 0"
                    scale="0.3 0.3 0.3"
                    rotation="90 0 0"
                    >
                    </a-image> 
                    
                <a-text value="Coffee" 
                    font="fonts/Goog-msdf/Goog-msdf.json"
                    font-image="fonts/Goog-msdf/Goog.png"
                    negate="false"                
                    color="#FFFFFF" 
                    position="0.15 0.1 0.1"  
                    rotation="-90 0 0"
                    scale="0.2 0.25 0.25"
                    align="center" 
                    width="6">
                </a-text>
            </a-box>
                
    
    
    
    
    
    
            <a-box
                position="0.8 0 2.4"
                color="#FFF"
                height="0.1"
                width="0.7"
                depth="0.4"
                opacity="0.2"
                onclick="goToConference()"
                event-set__mouseenter="color: red"
                event-set__mouseleave="color: white"
                event-set__mousedown="color: green"
                event-set__mouseup="color: red"
                animation="property: rotation; from: 0 0 0; to: 0 360 0; dur: 1000; startEvents: click"
                >
                <a-image
                    src="#play"
                    position="0 0 0"
                    scale="0.3 0.3 0.3"
                    rotation="90 0 0"
                    >
                    </a-image> 
                    
                <a-text value="Presentation" 
                    font="fonts/Goog-msdf/Goog-msdf.json"
                    font-image="fonts/Goog-msdf/Goog.png"
                    negate="false"                
                    color="#FFFFFF" 
                    position="0.15 0.1 0.1"  
                    rotation="-90 0 0"
                    scale="0.2 0.25 0.25"
                    align="center" 
                    width="6">
                </a-text>
            </a-box>
    


                

                

            </a-marker>
            <a-entity camera></a-entity>
        </a-scene>
        
        <script defer src="js/events.js"></script>
    </body>
</html>
